Foreman - Feature #248

Generalise the searchbar and tabs to support multiple controllers

05/13/2010 01:07 PM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Web Interface

Target version: 0.1-5

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request:

Description

The search facility should be accessible from all controllers

Related issues:

Precedes Foreman - Feature #259: Ability to search Hosts by Parameters Closed 03/10/2011 03/10/2011
Precedes Foreman - Refactor #212: remove activescaffold from Facts Closed 05/14/2010 05/14/2010
Precedes Foreman - Refactor #249: Remove activescaffold from the reports page Closed 05/14/2010 05/14/2010
Precedes Foreman - Feature #79: reports page should have filter checkboxes Closed 05/14/2010 05/14/2010

Associated revisions

Revision 452d6329 - 05/24/2010 04:08 AM - Paul Kelly

Fixes #248 - Generalise tab management and search facility

The search facility is now available from all controllers.

The search bar is only displayed if there is a partial
<controller_name>/_search_line.html.erb available.This partial also

describes and implements the possible search parameters for this controller
Active tab management is also improved

The appearence of the searchbar and other page elements has also been improved.

History

#1 - 05/14/2010 08:50 AM - Paul Kelly

- Status changed from New to Ready For Testing
- Branch set to feature/248-generalised-searchbar
#2 - 05/14/2010 11:35 AM - Paul Kelly

Removed the File.exist? RAILS ROOT stuff

Simplified the @active_tab structures
Ensured that the search was not run when deleting a tab

#3 - 05/16/2010 12:41 PM - Ohad Levy

- Target version set to 0.1-5

#4 - 05/24/2010 07:25 AM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset 452d63292a366794bedff9a16a1f7364786b52¢c2.

#5 - 05/27/2010 04:07 PM - Ohad Levy
- Status changed from Ready For Testing to Closed
